List of all members
clan::InputContext Class Reference
clanDisplay Input

InputContext. More...

`#include <input_context.h>`

## Public Member Functions
Construction
| InputContext ()
| Constructs an input context. More...
| ~InputContext ()
Attributes
int | get_keyboard_count () const
| Returns the number of keyboards available. More...
int | get_mouse_count () const
| Returns the number of mice available. More...
int | get_joystick_count () const
| Returns the number of joysticks available. More...
int | get_tablet_count () const
| Returns the number of tablets available. More...
InputDevice & | get_keyboard (int keyboard=0)
| Returns the input device for the specified keyboard. More...
InputDevice & | get_mouse (int mouse=0)
| Returns the input device for the specified mouse. More...
InputDevice & | get_joystick (int joystick=0)
| Returns the input device for the specified joystick. More...
InputDevice & | get_tablet (int tablet=0)
| Returns the input device for the specified tablet. More...
InputDevice & | get_device (const std::string &device_name)
| Returns the input device with the given devicename. More...
Operations
void | clear ()
| Removes all devices from this input context. More...
void | add_keyboard (const InputDevice keyboard)
| Adds a new keyboard to the input context. More...
void | add_mouse (const InputDevice mouse)
| Adds a new mouse to the input context. More...
void | add_joystick (const InputDevice joystick)
| Adds a new joystick to the input context. More...
void | add_tablet (const InputDevice tablet)
| Adds a new tablet to the input context. More...
void | process_messages ()
| Process and dispatch messages to signals. More...
void | dispose ()
| Stop anyone accessing this input context. More...
bool | is_disposed () const
| Has dispose() been called on this input context. More...

## Detailed Description

InputContext.

The documentation for this class was generated from the following file:

- input_context.h